Уязвимости Linux и их виды

Alla Rud 30.12.2016 21 4157 на прочтение 4 минут

Хотя Linux и считается более безопасной операционной системой чем Windows , но все же он имеет свои уязвимости, которые представляют опасность для данных. Любителей Linux в последнее время появляется все больше и больше, поэтому на проблемы по безопасности стало обращаться более пристальное внимание. Благодаря того, что ОС имеет открытый исходный код, подобные уязвимости быстро устраняются.

Какие же наиболее опасные проблемы были обнаружены в Linux за последние несколько лет?

К вашему вниманию системы мониторинга сервера Linux в следующей статье.

Что такое уязвимость? Это определенная ошибка в программе, которая допущена ее разработчиком. Эту ошибку может использовать любой пользователь для того, чтобы навредить функционированию ПО, в том числе для злоумышленных целей. Наиболее опасные уязвимости это те, которые дают возможность исполнять произвольный код.

Все уязвимости можно условно поделить на локальные и удаленные. Локальные могут быть, если у мошенника есть доступ к локальному компьютеру, а удаленные, когда нужен только доступ через Интернет.

Linux

 

Dirty COW - уязвимость, которая была обнаружена в этом году. Эта локальная уязвимость появляется во время копирования при записи. Благодаря ей каждый непривилегированный пользователь может получить доступ к ОС. Почти 10 лет такая уязвимость существовала в системе, а после выявления была быстро устранена. Но те владельцы устройств  Andoid, которые не обновляют ядро, до сих пор подвержены риску. Код уязвимости CVE-2016-5195.

Уязвимость Glibc (под кодом CVE-2015-7547) была также выявлена в 2016 году. Как оказалось, библиотека Glibc имеет ошибку, которая позволяет мошеннику выполнить свой код по удаленному доступу. Glibc - это реализация стандартной библиотеки Си и С++, она применяется в большинстве программ Linux, и в PHP, Python, Perl.

Ошибку допустили в коде разбора ответа DNS сервера. Ее могли использовать злоумышленники, к DNS которых обращались уязвимые машины, а также выполняющие MITM атаку. Эта проблема была с 2008 года. После ее обнаружения, были выпущены специальные патчи.

Heartbleed (код ошибки CVE-2014-0160)- вызвана проблемой в модуле heartdead программы OpenSSL. Она давала возможность хакерам получить прямой доступ к 64 килобайтам ОЗУ сервера, атаку можно было повторять до тех пор пока память не будет прочитана. От данной уязвимости пострадало достаточное количество сайтов и приложений. Она влияла на все сайты, которые использовали HTTPS для защиты трафика. Мошенники имели доступ до паролей пользователей, их личных данных и к всему, что было в памяти в момент атаки.

Уязвимость нулевого дня ядра - локальная уязвимость. Она давала возможность повысить права текущего пользователя до root. Это происходила из-за допущенной ошибки в системе работы с криптографическими данными ядра, которые хранятся в памяти. Уязвимость нашли в феврале 2016 года. Она была во всех ядрах начиная от версии 3.8, тоесть ошибка “жила” 4 года и никто о ней не догадывался.

Уязвимость Shellshock (под кодом  CVE-2014-6271) существовала 22 года и была обнаружена только в 2014 году. Shellshock появился из-за ошибки в интерпретаторе команд Bash. Он используется по умолчанию в большинстве дистрибутивов Linux.

Bash дает возможность объявлять переменные окружения без аутентификации пользователя, а вместе c ними можно выполнить любую команду. Это особо опасно CGI скриптах. Уязвимы серверы и ПК пользователей, маршрутизаторы и другие устройства. Хакер может выполнять удаленно любую команду.

Уязвимость протокола HTTP/2 - это целая определенная серия уязвимостей. Они позволяют мошеннику очень сильно замедлить работу веб-сервера и выполнить атаку отказ от обслуживания.

Уязвимость в OpenJDK существовала с 2013 года. На данный момент исправлена. Это была серьезная уязвимость linux 2016 в Java машине OpenJDK с кодом CVE-2016-0636. Она влияла на пользователей, которые работали  с  Oracle Java SE 7 Update 97 и 8 Update 73 и 74 для Windows, Solaris, Linux и Mac OS X. Позволяла мошеннику выполнить произвольный код за пределами Java машины, если вы откроете специальную страницу в браузере с уязвимой версией Java. Так можно было получить доступ к паролям, личным данным пользователя, запускать программы на ПК.

Дистрибутивы LINUX 2018. Что актуально сегодня?

Все выше перечисленные уязвимости в linux были собраны за три года: 2014, 2015, 2016. Они могли нанести серьезный вред пользователям, поэтому вовремя обновляйте свои системы, чтобы сохранить их в безопасности! Компания HyperHost™ желает Вам приятной работы в мире linux!

Полезные команды Linux, которые необходимо знать, вам также пригодятся для работы с этой системой.

 


Close Screen
Alla Rud
Статей: 570
Оцените статью:


Спасибо за отзыв
Рейтинг: 5 из 5 Голосов: 8